"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMarketCurrentlyShown = void 0;
const axios_1 = __importDefault(require("axios"));
const axios = axios_1.default.create({
    baseURL: "https://universalis.app/api/"
});
async function getMarketCurrentlyShown(server, id, options = {}) {
    const result = await axios({
        method: "GET",
        url: encodeURI(`/${server}/${id}`),
        params: options
    });
    return result.data;
}
exports.getMarketCurrentlyShown = getMarketCurrentlyShown;
